### Method

# Gtk TreeViewget_cell_area

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_get_cell_area (
      GtkTreeView* tree_view,
      GtkTreePath* path,
      GtkTreeViewColumn* column,
      GdkRectangle* rect
    )

#### Description [src]

Fills the bounding rectangle in bin_window coordinates for the cell at the row specified by `path` and the column specified by `column`. If `path` is `NULL`, or points to a path not currently displayed, the `y` and `height` fields of the rectangle will be filled with 0. If `column` is `NULL`, the `x` and `width` fields will be filled with 0. The sum of all cell rects does not cover the entire tree; there are extra pixels in between rows, for example. The returned rectangle is equivalent to the `cell_area` passed to gtk_cell_renderer_render(). This function is only valid if `tree_view` is realized.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath` for the row, or `NULL` to get only horizontal coordinates.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`column`

  Type: `GtkTreeViewColumn`

  A `GtkTreeViewColumn` for the column, or `NULL` to get only vertical coordinates.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`rect`

  Type: `GdkRectangle`

  Rectangle to fill with cell rect.

  The argument will be set by the function.
  The data is owned by the instance.